petsc-3.4.2 2013-07-02

# TSVISetVariableBounds

Sets the lower and upper bounds for the solution vector. xl <= x <= xu

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSVISetVariableBounds(TS ts, Vec xl, Vec xu)

### Input Parameters

ts -the TS context.
xl -lower bound.
xu -upper bound.

### Notes

If this routine is not called then the lower and upper bounds are set to SNES_VI_NINF and SNES_VI_INF respectively during SNESSetUp().

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex21.c.html
src/ts/examples/tutorials/ex23.c.html